<bugID>1216615<Summary>Filter field in ruleview and computed view produces unnecessary movement during sidebar resizing</Summary><Description>Created attachment 8676329
video - Filter field in ruleview and computed view produces unnecessary movement during sidebar resizing.webm

STR:   (Win7_64, Nightly 44, 32bit, ID 20151020031317, new profile)
1. Switch window to fullscreen mode
2. Open devtools -&gt; inspector, open ruleview/computed view
3. Resize sidebar so that it was as wide as possible
4. Slowly resize sidebar so that it was as narrow as possible

Result:       Right (end) border of filter field moves to the right by ~6px
Expectations: Right (end) border of filter field should be stationary

Note_1:   Currently inner input (.devtools-searchinput) has "margin: 1px 3px;", and .devtools-searchbox (parent element) has "padding:0px;".   Removing margin-left/right from search input and adding the same padding to searchbox solves the issue
Example of CSS which works for me:
&gt;   .devtools-searchbox   { -moz-padding-start: 3px !important; }
&gt;   .devtools-searchbox   { -moz-padding-end:   3px !important; }
&gt;   .devtools-searchinput { -moz-margin-start:  0px !important; }
&gt;   .devtools-searchinput { -moz-margin-end:    0px !important; }

Note_2:   The solution introduced in bug 1200073 only cures the symptoms (by adding -moz-margin-start:5px to the checkbox in computed view); I believe that code is unnecessary and should be removed</Description></bugID>